gss_inquire_names_for_mech(3)

NAME
gss_inquire_names_for_mech - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_inquire_names_for_mech(OM_uint32 * minor_status, const gss_OID mechanism, gss_OID_set * name_types);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_OID mechanism
    (gss_OID, read) The mechanism to be interrogated.

gss_OID_set * name_types
    (gss_OID_set, modify) Set of name-types supported by
      the specified mechanism. The returned OID set must be freed by
      the application after use with a call to gss_release_oid_set().

DESCRIPTION
Returns the set of nametypes supported by the specified mechanism.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.